Last Comment Bug 666220 - unecessary variable kAppendChromeManifests in toolkit/xre/nsXREDirProvider.cpp
: unecessary variable kAppendChromeManifests in toolkit/xre/nsXREDirProvider.cpp
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: mozilla7
Assigned To: arno renevier
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 04:50 PDT by arno renevier
Modified: 2011-08-23 07:14 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (985 bytes, patch)
2011-06-22 04:52 PDT, arno renevier
benjamin: review+
Details | Diff | Review

Description arno renevier 2011-06-22 04:50:18 PDT
Hi, toolkit/xre/nsXREDirProvider.cpp defines kAppendChromeManifests[] which is used nowhere.
Comment 1 arno renevier 2011-06-22 04:52:33 PDT
Created attachment 541017 [details] [diff] [review]
patch
Comment 2 Daniel Holbert [:dholbert] 2011-06-24 01:53:37 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/81d285773780
Comment 3 Marco Bonardo [::mak] 2011-06-25 03:10:46 PDT
http://hg.mozilla.org/mozilla-central/rev/81d285773780
Comment 4 Mihaela Velimiroviciu (:mihaelav) 2011-08-23 05:46:23 PDT
Can anyone please provide some guidelines that I can use to verify this fix? Do I need to create any specific environment to test it?

Thanks!
Comment 5 Mihaela Velimiroviciu (:mihaelav) 2011-08-23 07:14:05 PDT
Verified the source code in mozilla-central (http://hg.mozilla.org/mozilla-central/file/071d9c997f3d/toolkit/xre/nsXREDirProvider.cpp) and variable kAppendChromeManifests is removed.

Changing resolution to VERIFIED-FIXED.

Note You need to log in before you can comment on or make changes to this bug.